
import 'package:yaml/yaml.dart';

export 'package:yaml/yaml.dart';


extension YamlMapConverter on YamlMap {

  dynamic _convertNode(dynamic node) {
    if (node is YamlMap) {
      return node.toMap();
    } else if (node is YamlList) {
      final list = <dynamic>[];
      for (var item in node) {
        list.add(_convertNode(item));
      }
      return list;
    }
    return node;
  }


  Map<String, dynamic> toMap() {
    var map = <String, dynamic>{};
    nodes.forEach((key, node) {
      map[(key as YamlScalar).value.toString()] = _convertNode(node.value);
    });
    return map;
  }
}